AXN rev.1.6.0


--------------------------------------------------------------------------

CONTENTS

- ABOUT
- CHANGELOG
- INSTALLING THE ADDON
- COMMANDS
- AXN CVARS
- CONTACT
- CREDITS

---------------------------------------------------------------------------

ABOUT
 
AXN is a metamod plugin which allows you to select many fun options 
for Counter-Strike. This ReadMe file is a short description of some 
of the commands.

For more information, see the AXN Command Reference 
(http://www.myg0at.de/axnbmx/axn_ref.htm - link is dead).

Latest versions of AXN can be found here:
http://djeyl.net/forum/index.php?showforum=2

--------------------------------------------------------------------------

CHANGELOG

 v1.6.0 [22 Jan 2007] by Simon Logic (slspam@land.ru)
	
	- fixed a bug when toxic puff does not impact the player's health;
	old algorithm actually calculated the position of smokegrenade relative 
	to player, totally ignoring the puff made by grenade;
	- fixed a bug when smokegrenade could impact players before it is exploded;
	- exploded smokegrenade still does damage on short distance (customized by
	new axn_gasnaderadius cvar), but only if a player's head is placed above 
	the grenade;
	- fixed a bug when exploded smokegrenade been fully underwater affected 
	players;
	- enabled toxic gas damage notification on HUD;
	- smokegrenade damage is now additive: i.e. if player is under impact of
	more than one damage source (exploded smoke grenades or toxic puffs) its
	health is decreasing N-times faster;
	- new cvars to fully customize tracers & toxic gas damage (see descriptions 
	below within AXN CVARS section - new cvars are marked with [1.6.0]):
		* axn_tracer_flags
		* axn_smokevradius
		* axn_gasnaderadius
		* axn_gasdamage
		* axn_gasimpactcycle
		* axn_gasimpactthreshold
		* axn_gasrestoredamage
	- fixed a bug when health could be restored more than max health available
	for player;
	- fixed a potential bug when immortal players could be gamaged by toxic gas;
	- fixed a tracer for shortgun weapons;
	- fixed a tracer for burst mode;
	- tracers can be hidden for sniper weapons: AWK, SCOUT, SG550 & G3SG1;
	- tracers can be hidden for silenced weapons: GLOCK & FAMAS;
	- own tracers can be hidden for shooter (because it's annoying during 
	gameplay);
	- blocked axn_flashtime to be set a value less than 0 (values < 0 
	considered as zeros);
	- compiled with Metamod 1.19

 v1.05b [28 Jul 2003] by GEKKO ([myg0at] Clan Leader)

	- Support for metamod v1.16.x
	- Support HLDS 4.1.1.1 (windows) and 3.1.1.1 (linux)
	- Arranged to fit the HL addon standard

 v1.04b [?]

	- RedGuy's latest version

 v1.03 [28 Apr 2002]

 	- ?

---------------------------------------------------------------------------

INSTALLING THE ADDON

Just unzip to your Counter-Strike directory. Add the following line to your 
metamod plugins.ini file:

For windows:
	win32 addons/axn/dlls/axn_mm.dll

For linux:
	linux addons/axn/dlls/axn_mm_i586.so

Restart the server to reload the plugins.

----------------------------------------------------------------------

COMMANDS (?)

Files named 'addent' or 'rement' are sample files for altering
respawn positions of each map, so remove from the folder if it is
unnecessary.

----------------------------------------------------------------------

AXN CVARS

-----------------------------
axn_tracer <0|1> (default=0)

Enable/disable tracers on shots. However, tracers are not bullets themselves.

-----------------------------
axn_tracer_flags <bitsum> (default=15=1+2+4+8) [1.6.0]

Allows to customize tracers. Value is a sum of flags:

 1: send tracers to players (only visible as far as the gunsounds are heard);
 2: hide own tracers for shooter (works in conjunction with previous flag only);
 4: hide tracer for sniper weapons;
 8: hide tracer for silenced weapons;
16: send tracers to all spectator proxies (only spectators through HLTV can 
see tracers).

-----------------------------
axn_statustext <0|1> (default=0)

Lets spectators see information about health and so on.

0: standard (Information can be seen by spectators);
1: not displays (Information can not be seen by spectators).

-----------------------------
axn_flashtime <num> (default=1)

Duration of effect a FlashGranade causes.

0: very short light effect;
1: standard;
2: lasts twice times;
n: lasts N-times longer.

-----------------------------
axn_smokegasp <0|1> (default=0)

Enable characters pant voice while breathing toxic gas.

0: disable (characters never pants);
1: enable (characters pants).

Pant frequency can not be less than once per second.

-----------------------------
axn_smokeradius <num> (default=0; recommended=230)

Enables temporary damage of toxic puff made by SmokeGranade.

n: radius in horizontal plane toxic gas takes effect.
The radius at 200-250 equals to appearance of smoke that a grenade
spreads. Beware that the appearance of smoke won't increases 
by this value. If it's set to 0, damage takes no effect.

-----------------------------
axn_smokevradius <num> (default=0; recommended=180) [1.6.0]

Enables temporary damage of toxic puff made by SmokeGranade.

n: radius in vertical plane toxic gas takes effect.

-----------------------------
axn_gasnaderadius <num> (default=108) [1.6.0]

n: raduis of toxic gas damage made by _exploded_ SmokeGrenade.
Temporary damages never be summed up to "damage count" of bmx (?).

-----------------------------
axn_gasdamage <num> (default=5) [1.6.0]

Gas damage per cycle.

-----------------------------
axn_gasimpactcycle <float> (default=2.0) [1.6.0]

Cycle interval (in sec) to apply damage. Also used for health restore 
(see axn_gasrestoredamage cvar).

-----------------------------
axn_gasimpactthreshold <num> (default=5) [1.6.0]

Player's minimum health threshold to stop gas impact. 
Can not be less than 1, thus you can't kill a player with toxic gas.

-----------------------------
axn_gasrestoredamage <num> (default=2) [1.6.0]

Health restore per cycle.

-1: restore health immediately;
 0: does not restore at all;
 n: restore n hp per each cycle.

-----------------------------
axn_showaddress <0|1> (default=0)

0: disable (show nothing);
1: enable (display player's information as this; wonid@address:port).

-----------------------------
axn_starthealth <num> (default=100)

n: n stands for HEALTH at every rounds start.
(health indicator won't work correctly if this value is above 255)

-----------------------------
axn_damageimpact <num> (default=0)

Knock back impulse.

n: players get an impulse of knockback according to received damages
multipled by the value of this. If it is at 100, player will be blown off.

-----------------------------
axn_longjump <0|1> (defaut=0)

Give player a longjump on spawn. Input of Duck & Jump activates a longjump
module (same as the one appears in Half-Life).

-----------------------------
axn_bunnyjump <-1|0|1> (default=0)

-1: makes jump action the same as those in CS 1.3 (jump never slows down 
like in 1.4 or later);
 0: disabled;
 1: bunnyhop becomes possible.

-----------------------------
axn_jumpability <float> (default=1.0)

n: multiples the height of jump.

(This doesn't change gravity but upward velocity of jumping. Falling
damage at too large value may also cause a death).

This can be used only when +jump bound key is hit with +alt1 bound key
being pushed down. To use this function, bind a key to +alt1:

 bind "ALT" "+alt1"

-----------------------------
axn_noheadshot <0|1> (default=0)

0: disabled (headshots are active);
1: enabled (headshots are diactivated).

-----------------------------
say ent ????

Adds entities of maps. HOSTAGES, a start point, and so on.

Example,

 say ent classname.
 hostage_entity  　　　　　　　　 // creates hostage_entity
 say ent origin  　　　　　　　　 // position setup (curent player's position)
 say ent angles  　　　　　　　　 // direction setup (curent player's direction)
 say ent model models/chick.mdl　 // model setup
 say ent add.　　　　　　　　　   // addition. It saves at the file named

 maps/mapname.addent (it is also loaded next time)

---------------------------------------------------------------------

CONTACT (infromation is outdated)
 
For support questions, or if you're interested in contributing to this project,
as well as the BMX project, please contact gekko@myg0at.de.

www.myg0at.de

irc.gamesnet.net channel #myg0at

---------------------------------------------------------------------

CREDITS

AXN originally created by RedGuy.

Maintained and updated by RedGuy till version v1.04b.

Maintained and updated by [myg0at] (www.myg0at.de) till version 1.05b.

Support provided by Take13 (www.take13.net).

The Nemesis Team:
* GIR
* Imperium01
* Invader_Zim
* SMG

Maintained and updated by Simon Logic since version 1.6.0.

Thanx NiLuJe for compiling linux version of this plugin.
